/*!
* @file GameElement.cpp
* @brief ゲーム中要素のスーパークラス実装
* @date 2014/01/19
* @author Deskull
* 2014 Sikabane Works.
*/

#include "stdafx.h"
#include "GameElement.h"

namespace Deeangband
{

	GameElement::GameElement(ID id, TAG tag)
	{
		this->id = id;
		this->tag = tag;
	}

	GameElement::GameElement(ID id, TAG tag, GameWorld *gameWorld)
	{
		this->id = id;
		this->tag = tag;
		(void)gameWorld;
	}

	GameElement::GameElement(void)
	{
		return;
	}

	GameElement::~GameElement(void)
	{
		return;
	}

	ID GameElement::GetID(void)
	{
		return this->id;
	}

	void GameElement::SetID(ID newID)
	{
		this->id = newID;
	}

	TAG GameElement::GetTAG(void)
	{
		return this->tag;
	}

	void GameElement::SetTag(TAG newTag)
	{
		this->tag = newTag;
	}
}